Bug 125387 - Fit to text checkboxes always disabled (gtk3)
Summary: Fit to text checkboxes always disabled (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-05-20 10:45 UTC by Maxim Monastirsky
Modified: 2019-05-22 10:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2019-05-20 10:45:02 UTC
Steps to reproduce:

1. Open Draw using gtk3.
2. Draw a text box.
3. Type any text in it.
4. Press ESC to leave edit mode.
5. Press F4 to open the "Position and Size" dialog (or do that from the menu).
6. In the "Position and Size" tab, look at the "Adapt" group at the bottom right side of the dialog.

Actual results:
The two checkboxes ("Fit width to text", "Fit height to text") are disabled.

Expected results:
These checkboxes are enabled (if protect position/size isn't checked), so it's possible to use them.
Comment 1 Xisco Faulí 2019-05-20 13:50:32 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6d0d201b30122395eb164807b93d76d567ff970b

author	Caolán McNamara <caolanm@redhat.com>	2018-05-29 09:32:41 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-29 21:49:24 +0200
commit	6d0d201b30122395eb164807b93d76d567ff970b (patch)
tree	0af8ead928a5f2495bfbcb28bb44cb499b370c31
parent	ba0408ae9a4ac1b391944b2fdcfd02f86ab2f773 (diff)
weld SvxTransformTabDialog

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-05-21 07:55:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c278c1cf3e9ad4c810534558b7f9ea1a41c5e1cc%5E%21

Resolves: tdf#125387 gtk3 fit-to-text stuck as disabled

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-05-21 07:57:37 UTC
fixed in master, backport to 6-2 in gerrit
Comment 4 Xisco Faulí 2019-05-22 10:55:54 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: e7fb44b8c86b4dce1d4c6f15752cc3bf62b14888
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-05-22 10:56:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/6431b8e8a977c959a375f061b9a24cd281228ad2%5E%21

Resolves: tdf#125387 gtk3 fit-to-text stuck as disabled

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.